
clear all 
set more off 

***************************************************************************************************************
***************************************************************************************************************
**This file:                                                                                                 **
** (1) (weighted and unweighted) numbers of different rates on credit card owned by households               **
** (2) (weighted and unweighted) numbers of different rates on credit card owned by households with negative **
**      balance (B>0 in the paper)                                                                           **
** (3) (weighted and unweighted) coefficient of variation (CV) for all households and households with B>0     **
**  for years 1983 1995 1998 2001 2004 when interest rates available       
*************************************************************************************
*************************************************************************************

cd "D:\Skydrive\RA Work\RA Jim\Data"

local year=1983


use basics_`year'.dta,clear

*****************
*DROP REPLICATES*
*****************

*Droping duplicates that ID in the form of --i, i=2,3,4,5
if (`year'!=1983) {
	gen rep_id=real(substr(string(id),-1,.))
	keep if rep_id==1
}

gen rnd_weight=round(weight)

************
*Weighted **
************
if (`year'==1983) {
  drop if ccir!=. & ccir>900
}

*All housheolds 
tab ccir if acc_hold==1 [iw=weight]
*Number of interest rates 
dis r(r)
*Households with B>0 
tab ccir if acc_hold==1 & debt_cc>0 [iw=weight]
*Number of interest rates 
dis r(r)

*Coeficient of variation CV
*All housheolds 
sum ccir if acc_hold==1 [iw=weight]
*coef. of variation CV
dis r(sd)/r(mean)

*Households with B>0 
sum ccir if acc_hold==1 & debt_cc>0 [iw=weight]
*coef. of variation CV
dis r(sd)/r(mean)

****************
*Unweighted ***
**************
*Coeficient of variation CV
*All housheolds 
sum ccir if acc_hold==1 
*coef. of variation CV
dis r(sd)/r(mean)

*Households with B>0 
sum ccir if acc_hold==1 & debt_cc>0
*coef. of variation CV
dis r(sd)/r(mean)








  

